# Module `posix.libgen`

General Library.

Functions for separating a pathname into file and directory components.

## Functions

basename (path) | File part of path.
dirname (path) | Directory name of path.

## Functions

basename (path)
  File part of path.

  ### Parameters:

  - path string file to act on

  ### Returns:

  string filename part of path

  ### See also:

  basename(3)
dirname (path)
  Directory name of path.

  ### Parameters:

  - path string file to act on

  ### Returns:

  string directory part of path

  ### See also:

  dirname(3)

generated by LDoc 1.4.3 Last updated 2016-02-27 14:10:34